#ifndef RENDERABLE_HPP_INCLUDED
#define RENDERABLE_HPP_INCLUDED

#include "CacheableNode.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>

namespace Internal
{
    class Renderable : public CacheableNode
    {
        public:
            Renderable(const void* Obj);

            Renderable() = default;
            Renderable(Renderable&& Obj) = default;
            Renderable(const Renderable& Obj) = default;
            Renderable& operator=(Renderable&& Obj) = default;
            Renderable& operator=(const Renderable& Obj) = default;

            static Class GetClass();

            std::int32_t GetModelHeight() const;

    };
}

#endif // RENDERABLE_HPP_INCLUDED
